package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_trade_order_profit_sharing
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsTradeOrderProfitSharing implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 指令类型 1：分账  2：分账撤销
 3：分账回退
     */
    private Integer cmdType;

    /**
     * 交易id
     */
    private Long tradeOrderId;

    /**
     * 交易订单号
     */
    private String tradeOrderNo;

    /**
     * 原分账单号
     */
    private String originProfitSharingOrderNo;

    /**
     * 分账单号
     */
    private String profitSharingOrderNo;

    /**
     * 平台类型  1：拉卡拉
     */
    private Integer platformType;

    /**
     * 平台分账单号
     */
    private String platformProfitSharingOrderNo;

    /**
     * 平台商户号
     */
    private String platformMerNo;

    /**
     * 平台流水号
     */
    private String platformTradeNo;

    /**
     * 平台appid
     */
    private String platformAppid;

    /**
     * 分账比例 单位：%
     */
    private BigDecimal ratio;

    /**
     * 分账金额
     */
    private BigDecimal profitSharingAmoun;

    /**
     * 分账状态  0：待处理  1：已完成  2：处理中   3：已受理  4：失败
     */
    private Integer status;

    /**
     * 创建方式   1：系统  2：API
     */
    private Integer createType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 分账时间
     */
    private Date profitSharingTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getCmdType() {
        return cmdType;
    }

    public void setCmdType(Integer cmdType) {
        this.cmdType = cmdType;
    }

    public Long getTradeOrderId() {
        return tradeOrderId;
    }

    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    public String getTradeOrderNo() {
        return tradeOrderNo;
    }

    public void setTradeOrderNo(String tradeOrderNo) {
        this.tradeOrderNo = tradeOrderNo;
    }

    public String getOriginProfitSharingOrderNo() {
        return originProfitSharingOrderNo;
    }

    public void setOriginProfitSharingOrderNo(String originProfitSharingOrderNo) {
        this.originProfitSharingOrderNo = originProfitSharingOrderNo;
    }

    public String getProfitSharingOrderNo() {
        return profitSharingOrderNo;
    }

    public void setProfitSharingOrderNo(String profitSharingOrderNo) {
        this.profitSharingOrderNo = profitSharingOrderNo;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformProfitSharingOrderNo() {
        return platformProfitSharingOrderNo;
    }

    public void setPlatformProfitSharingOrderNo(String platformProfitSharingOrderNo) {
        this.platformProfitSharingOrderNo = platformProfitSharingOrderNo;
    }

    public String getPlatformMerNo() {
        return platformMerNo;
    }

    public void setPlatformMerNo(String platformMerNo) {
        this.platformMerNo = platformMerNo;
    }

    public String getPlatformTradeNo() {
        return platformTradeNo;
    }

    public void setPlatformTradeNo(String platformTradeNo) {
        this.platformTradeNo = platformTradeNo;
    }

    public String getPlatformAppid() {
        return platformAppid;
    }

    public void setPlatformAppid(String platformAppid) {
        this.platformAppid = platformAppid;
    }

    public BigDecimal getRatio() {
        return ratio;
    }

    public void setRatio(BigDecimal ratio) {
        this.ratio = ratio;
    }

    public BigDecimal getProfitSharingAmoun() {
        return profitSharingAmoun;
    }

    public void setProfitSharingAmoun(BigDecimal profitSharingAmoun) {
        this.profitSharingAmoun = profitSharingAmoun;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getProfitSharingTime() {
        return profitSharingTime;
    }

    public void setProfitSharingTime(Date profitSharingTime) {
        this.profitSharingTime = profitSharingTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsTradeOrderProfitSharing other = (BsTradeOrderProfitSharing) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCmdType() == null ? other.getCmdType() == null : this.getCmdType().equals(other.getCmdType()))
            && (this.getTradeOrderId() == null ? other.getTradeOrderId() == null : this.getTradeOrderId().equals(other.getTradeOrderId()))
            && (this.getTradeOrderNo() == null ? other.getTradeOrderNo() == null : this.getTradeOrderNo().equals(other.getTradeOrderNo()))
            && (this.getOriginProfitSharingOrderNo() == null ? other.getOriginProfitSharingOrderNo() == null : this.getOriginProfitSharingOrderNo().equals(other.getOriginProfitSharingOrderNo()))
            && (this.getProfitSharingOrderNo() == null ? other.getProfitSharingOrderNo() == null : this.getProfitSharingOrderNo().equals(other.getProfitSharingOrderNo()))
            && (this.getPlatformType() == null ? other.getPlatformType() == null : this.getPlatformType().equals(other.getPlatformType()))
            && (this.getPlatformProfitSharingOrderNo() == null ? other.getPlatformProfitSharingOrderNo() == null : this.getPlatformProfitSharingOrderNo().equals(other.getPlatformProfitSharingOrderNo()))
            && (this.getPlatformMerNo() == null ? other.getPlatformMerNo() == null : this.getPlatformMerNo().equals(other.getPlatformMerNo()))
            && (this.getPlatformTradeNo() == null ? other.getPlatformTradeNo() == null : this.getPlatformTradeNo().equals(other.getPlatformTradeNo()))
            && (this.getPlatformAppid() == null ? other.getPlatformAppid() == null : this.getPlatformAppid().equals(other.getPlatformAppid()))
            && (this.getRatio() == null ? other.getRatio() == null : this.getRatio().equals(other.getRatio()))
            && (this.getProfitSharingAmoun() == null ? other.getProfitSharingAmoun() == null : this.getProfitSharingAmoun().equals(other.getProfitSharingAmoun()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateType() == null ? other.getCreateType() == null : this.getCreateType().equals(other.getCreateType()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getProfitSharingTime() == null ? other.getProfitSharingTime() == null : this.getProfitSharingTime().equals(other.getProfitSharingTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCmdType() == null) ? 0 : getCmdType().hashCode());
        result = prime * result + ((getTradeOrderId() == null) ? 0 : getTradeOrderId().hashCode());
        result = prime * result + ((getTradeOrderNo() == null) ? 0 : getTradeOrderNo().hashCode());
        result = prime * result + ((getOriginProfitSharingOrderNo() == null) ? 0 : getOriginProfitSharingOrderNo().hashCode());
        result = prime * result + ((getProfitSharingOrderNo() == null) ? 0 : getProfitSharingOrderNo().hashCode());
        result = prime * result + ((getPlatformType() == null) ? 0 : getPlatformType().hashCode());
        result = prime * result + ((getPlatformProfitSharingOrderNo() == null) ? 0 : getPlatformProfitSharingOrderNo().hashCode());
        result = prime * result + ((getPlatformMerNo() == null) ? 0 : getPlatformMerNo().hashCode());
        result = prime * result + ((getPlatformTradeNo() == null) ? 0 : getPlatformTradeNo().hashCode());
        result = prime * result + ((getPlatformAppid() == null) ? 0 : getPlatformAppid().hashCode());
        result = prime * result + ((getRatio() == null) ? 0 : getRatio().hashCode());
        result = prime * result + ((getProfitSharingAmoun() == null) ? 0 : getProfitSharingAmoun().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateType() == null) ? 0 : getCreateType().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getProfitSharingTime() == null) ? 0 : getProfitSharingTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", cmdType=").append(cmdType);
        sb.append(", tradeOrderId=").append(tradeOrderId);
        sb.append(", tradeOrderNo=").append(tradeOrderNo);
        sb.append(", originProfitSharingOrderNo=").append(originProfitSharingOrderNo);
        sb.append(", profitSharingOrderNo=").append(profitSharingOrderNo);
        sb.append(", platformType=").append(platformType);
        sb.append(", platformProfitSharingOrderNo=").append(platformProfitSharingOrderNo);
        sb.append(", platformMerNo=").append(platformMerNo);
        sb.append(", platformTradeNo=").append(platformTradeNo);
        sb.append(", platformAppid=").append(platformAppid);
        sb.append(", ratio=").append(ratio);
        sb.append(", profitSharingAmoun=").append(profitSharingAmoun);
        sb.append(", status=").append(status);
        sb.append(", createType=").append(createType);
        sb.append(", createTime=").append(createTime);
        sb.append(", profitSharingTime=").append(profitSharingTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}